﻿# EliteBGS

EliteBGS is a Windows desktop application, that helps you sum up your BGS related actions.
It then creates a report from your actions, so you can post it your Squadron's discord.

## Origins

The tool originated from the [Nova Navy](https://inara.cz/elite/squadron/5058/), which required
BGS contributions to be posted to the Navy's discord, in a very specific format. Writing those
logs manually was a lot of work, so CMDR Hekateh created a tool to automate this process.

## Overview

EliteBGS reads through your player journal for BGS relevant activity, and sorts them into
"categories". These are based upon the star system, station and the faction for which the
action was taken. So for example if you contributed bounty vouchers for Nova Paresa in
Paresa, but also did some missions for Nova Paresa in Adachit, those actions will be
split into two categories.

You can then select which of the two actions goes into the final log.

### What it detects:

* Buying of cargo from stations (BGS relevant since Update 10)
* Completed missions
* Failed missions
* Murders
* Search and Rescue contributions
* Selling cartography data
* Selling of cargo to stations
* Selling of micro resources (Odyssey only)
* Selling of organic data (Odyssey only)
* Vouchers, including bounty vouchers, combat bonds, and settlement vouchers (aka intel packages)

### What it does not detect:

* Combat zone wins, and its objectives
* Megaship scenarios
* On foot missions accepted by NPCs in stations (pre Update 13)
* Murders of NPCs you haven't fully scanned

## Open Source

The tool itself is Open Source, licenced unter the GPLv3.

The source code can be found here:

* [https://git.aror.org/florian/EliteBGS](https://git.aror.org/florian/EliteBGS)

It requires a separate library, called EDJournal, which is also open source:

* [https://git.aror.org/florian/edjournal](https://git.aror.org/florian/edjournal)

## Downloads

The latest version of EliteBGS **0.1.7** is available for download here:

* [https://bgs.n0la.org/elitebgs-0.1.7.zip](https://bgs.n0la.org/elitebgs-0.1.7.zip)

Older versions are available in the archive:

* [https://bgs.n0la.org/archive/](https://bgs.n0la.org/archive/)

## Contact

I can be reached over discord: `nola#2457`

Or by joining either the [Salus Invicta](https://discord.com/invite/FeEtjqBRkg) or the
[Nova Navy](https://discord.gg/WEJeFQw) discord.